package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * IgmpOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class IgmpOpenApiVo   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("version")
  private Integer version;

  @JsonProperty("wanPortId")
  private String wanPortId;

  @JsonProperty("virtualWanId")
  private String virtualWanId;

  public IgmpOpenApiVo enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Get enable
   * @return enable
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public IgmpOpenApiVo version(Integer version) {
    this.version = version;
    return this;
  }

  /**
   * Version should be a value as follows: 2:v2; 3:v3.
   * @return version
  */
  @ApiModelProperty(required = true, value = "Version should be a value as follows: 2:v2; 3:v3.")
  @NotNull


  public Integer getVersion() {
    return version;
  }

  public void setVersion(Integer version) {
    this.version = version;
  }

  public IgmpOpenApiVo wanPortId(String wanPortId) {
    this.wanPortId = wanPortId;
    return this;
  }

  /**
   * WAN port ID, can be obtained from 'Get internet basic info' interface. At least one of the wanPortId or virtualWanId should not be null.
   * @return wanPortId
  */
  @ApiModelProperty(value = "WAN port ID, can be obtained from 'Get internet basic info' interface. At least one of the wanPortId or virtualWanId should not be null.")


  public String getWanPortId() {
    return wanPortId;
  }

  public void setWanPortId(String wanPortId) {
    this.wanPortId = wanPortId;
  }

  public IgmpOpenApiVo virtualWanId(String virtualWanId) {
    this.virtualWanId = virtualWanId;
    return this;
  }

  /**
   * Virtual WAN ID, can be obtained from 'Query virtual WAN list' interface. At least one of the wanPortId or virtualWanId should not be null.
   * @return virtualWanId
  */
  @ApiModelProperty(value = "Virtual WAN ID, can be obtained from 'Query virtual WAN list' interface. At least one of the wanPortId or virtualWanId should not be null.")


  public String getVirtualWanId() {
    return virtualWanId;
  }

  public void setVirtualWanId(String virtualWanId) {
    this.virtualWanId = virtualWanId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IgmpOpenApiVo igmpOpenApiVo = (IgmpOpenApiVo) o;
    return Objects.equals(this.enable, igmpOpenApiVo.enable) &&
        Objects.equals(this.version, igmpOpenApiVo.version) &&
        Objects.equals(this.wanPortId, igmpOpenApiVo.wanPortId) &&
        Objects.equals(this.virtualWanId, igmpOpenApiVo.virtualWanId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, version, wanPortId, virtualWanId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IgmpOpenApiVo {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    version: ").append(toIndentedString(version)).append("\n");
    sb.append("    wanPortId: ").append(toIndentedString(wanPortId)).append("\n");
    sb.append("    virtualWanId: ").append(toIndentedString(virtualWanId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

